cdac.medinfo.model

## Class Encounters

- java.lang.Object
- - cdac.medinfo.model.Encounters

-     public class Encounters
      extends java.lang.Object

  This class specify Encounter Section Details. This section is used to list and describe any healthcare encounters pertinent to the patient's current health status or historical health history.

  This class has the following attributes:

  1. encounter (String)
  2. location (List`<String>`)
  3. date (EffectiveDateTime)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Encounters()` Constructs an object of Encounters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EffectiveDateTime` | `getDate()` Returns the date, time, and/or duration of an encounter.
    `java.lang.String` | `getEncounter()` Returns the Encounter Activity.
    `java.util.List<java.lang.String>` | `getLocation()` Returns the list of Encounter Locations.
    `void` | `setDate(EffectiveDateTime date)` Sets the Encounter Date.
    `void` | `setEncounter(java.lang.String encounter)` Sets the Encounter Activity.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Encounters

          public Encounters()

      Constructs an object of Encounters.

  - ### Method Detail

    - #### getEncounter

          public java.lang.String getEncounter()

      Returns the Encounter Activity.
      Returns:
        the encounter

    - #### setEncounter

          public void setEncounter(java.lang.String encounter)

      Sets the Encounter Activity.
      Parameters:
        `encounter` - Specifies the Encounter Activity.

    - #### getLocation

          public java.util.List<java.lang.String> getLocation()

      Returns the list of Encounter Locations.
      Returns:
        the List of location

    - #### getDate

          public EffectiveDateTime getDate()

      Returns the date, time, and/or duration of an encounter.
      Returns:
        the date

    - #### setDate

          public void setDate(EffectiveDateTime date)

      Sets the Encounter Date.
      Parameters:
        `date` - Specifies the date, time, and/or duration of an encounter.